Subject: Re: [PATCH net-next] net: ethernet: mtk_wed: get rid of queue lock for rx queue

From: Jakub Kicinski <[email-masked]>
Date: Mon, 9 Jan 2023 19:37:21 -0800

On Mon, 09 Jan 2023 16:50:55 -0800 Alexander H Duyck wrote:
> On Sat, 2023-01-07 at 15:41 +0100, Lorenzo Bianconi wrote:
> > mtk_wed_wo_queue_rx_clean and mtk_wed_wo_queue_refill routines can't run
> > concurrently so get rid of spinlock for rx queues.

You say "for rx queues" but mtk_wed_wo_queue_refill() is also called
for tx queues.

> My understanding is that mtk_wed_wo_queue_refill will only be called
> during init and by the tasklet. The mtk_wed_wo_queue_rx_clean function
> is only called during deinit and only after the tasklet has been
> disabled. That is the reason they cannot run at the same time correct?
> 
> It would be nice if you explained why they couldn't run concurrently
> rather than just stating it is so in the patch description. It makes it
> easier to verify assumptions that way. Otherwise the patch itself looks
> good to me.

Agreed, please respin with a better commit message.